> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteroid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List product families



## OpenAPI

````yaml https://api.meteroid.com/api-docs/openapi.json get /api/v1/product_families
openapi: 3.1.0
info:
  title: meteroid
  description: ''
  license:
    name: LicenseRef-Proprietary
    identifier: LicenseRef-Proprietary
  version: 0.1.0
servers: []
security: []
tags:
  - name: Meteroid
    description: Meteroid API
  - name: Add-ons
  - name: Batch Jobs
  - name: Checkout Sessions
  - name: Connect
    description: Manage connected accounts (Express & Standard)
  - name: Coupons
  - name: Credit Notes
  - name: Customers
  - name: Entitlements
  - name: Events
  - name: Features
  - name: Invoices
  - name: Metrics
  - name: OAuth
    description: OAuth 2.0 token endpoints (public, client-credentials auth)
  - name: OAuth Apps
    description: Manage OAuth applications for Connect integrations
  - name: Plans
  - name: Product Families
  - name: Products
  - name: Subscriptions
  - name: Usage
paths:
  /api/v1/product_families:
    get:
      tags:
        - Product Families
      summary: List product families
      operationId: list_product_families
      parameters:
        - name: order_by
          in: query
          description: >-
            Sort order. Format: `column.direction`. Allowed columns: `name`,
            `created_at`. Direction: `asc` or `desc`. Default:
            `created_at.desc`.
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: Page number (0-indexed)
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: per_page
          in: query
          description: Number of items per page
          required: false
          schema:
            type: integer
            format: int32
            maximum: 100
            minimum: 1
        - name: search
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: List of product families
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductFamilyListResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '500':
          description: Internal error
      security:
        - bearer_auth: []
components:
  schemas:
    ProductFamilyListResponse:
      type: object
      required:
        - data
        - pagination_meta
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ProductFamily'
        pagination_meta:
          $ref: '#/components/schemas/PaginationResponse'
    RestErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          $ref: '#/components/schemas/ErrorCode'
        message:
          type: string
    ProductFamily:
      type: object
      required:
        - id
        - name
      properties:
        id:
          $ref: '#/components/schemas/ProductFamilyId'
        name:
          type: string
    PaginationResponse:
      type: object
      required:
        - page
        - per_page
        - total_items
        - total_pages
      properties:
        page:
          type: integer
          format: int32
          minimum: 0
        per_page:
          type: integer
          format: int32
          minimum: 0
        total_items:
          type: integer
          format: int64
          minimum: 0
        total_pages:
          type: integer
          format: int32
          minimum: 0
    ErrorCode:
      type: string
      enum:
        - BAD_REQUEST
        - NOT_FOUND
        - CONFLICT
        - FORBIDDEN
        - UNAUTHORIZED
        - TOO_MANY_REQUESTS
        - INTERNAL_SERVER_ERROR
    ProductFamilyId:
      type: string
      format: MeteroidId
      examples:
        - pf_7n42DGM5Tflk9n8mt7Fhc7
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````